# This file was auto-generated by Fern from our API Definition.

import datetime as dt
import typing

import pydantic
from ..core.pydantic_utilities import IS_PYDANTIC_V2, UniversalBaseModel


class ModelResultPublic(UniversalBaseModel):
    """
    Public API model for ModelResult
    """

    output: typing.Dict[str, typing.Optional[typing.Any]] = pydantic.Field()
    """
    The output of the model
    """

    id: str = pydantic.Field()
    """
    The external UUID of the model result
    """

    created_at: dt.datetime = pydantic.Field()
    """
    The UTC time the model result was created
    """

    input_file_name: str = pydantic.Field()
    """
    The name of the input file
    """

    input_file_size: int = pydantic.Field()
    """
    The size of the input file in bytes
    """

    model: str = pydantic.Field()
    """
    The string ID of the model
    """

    if IS_PYDANTIC_V2:
        model_config: typing.ClassVar[pydantic.ConfigDict] = pydantic.ConfigDict(extra="allow", frozen=True)  # type: ignore # Pydantic v2
    else:

        class Config:
            frozen = True
            smart_union = True
            extra = pydantic.Extra.allow
